{% extends 'base.html' %}

{% block autenticacion-permiso %}
    {% if not perms.auth.change_permission or not perms.auth.add_group %}
        <meta http-equiv="REFRESH" content="0;url=/">
    {% endif %}
{% endblock %}

{% block nav-permisos %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'oauth_app:index' %}">Permisos <span class="sr-only">(current)</span></a>
    </li>
{% endblock %}

{% block content %}
    <div class="container">
        <div class="py-5 text-center">
            <h1 class="text-light"> Crear Rol </h1>
        </div>

        <div class="bg-light rounded border-dark p-3">
            <form action="{% url 'oauth_app:guardarRol' %}" method="GET">
                <div class="form-group row m-3">
                    <label for="inputPassword" class="col-sm-2 col-form-label">Nombre:</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="inputPassword" placeholder="Nombre del rol" name="nombre">
                         <small id="ayudaRol" class="form-text text-muted">Intenta poner un nomrbre descriptivo al rol</small>
                    </div>
                </div>
                <div class="text-center ml-3">
                    <h4 class="text-dark"> Permisos</h4>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso1" name="p1">
                    <label class="form-check-label" for="Permiso1">Gestionar Permisos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso2" name="p2">
                    <label class="form-check-label" for="Permiso2">Crear Proyectos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso3" name="p3">
                    <label class="form-check-label" for="Permiso3">Ver Todos los Proyectos</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso4" name="p4">
                    <label class="form-check-label" for="Permiso3">Crear Roles de Sistema</label>
                </div>
                <div class="form-check ml-3 mt-3">
                    <input class="form-check-input" type="checkbox" id="Permiso5" name="p5">
                    <label class="form-check-label" for="Permiso3">Modificar Roles de sistema</label>
                </div>
                <button type="submit" class="btn btn-primary ml-3 mt-3 ">Guardar</button>
                <a class="btn btn-secondary mt-3" href="{% url 'oauth_app:index' %}">Cancelar</a></a>
            </form>
        </div>
    </div>
{% endblock %}